#
# spec file for package pgn-extract (Version 16.7)
#
# norootforbuild

Name:		pgn-extract
Summary:	A CLI program for manipulating PGN files
License:	GNU General Public License (GPL) v1
Group:		Amusements/Games/Board/Chess
Version:	16.7
Release:	2.2
URL:		http://www.cs.kent.ac.uk/people/staff/djb/pgn-extract/
Source0:	%{name}-16-7.tar.bz2
Source100:	%{name}.changes
Patch0:		%{name}-set_eco.pgn_path.patch
Patch1:         pgn-extract-no-buildtime.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Autoreqprov:	on

%description 
This is a command-line program for manipulating chess games recorded in the Portable Game Notation (PGN).
Extracted games may be written out either including or excluding comments, NAGs, variations, move numbers,
tags and/or results. Games may be given ECO classifications derived from the accompanying file
%{_datadir}/%{name}/eco.pgn, or a customised version provided by the user.

For a full description of pgn-extract's functionality see %{_docdir}/%{name}/help.html.

Author:
-------
		David J. Barnes - <D.J.Barnes<at>kent.ac.uk>



%prep
%setup -q -n %{name}-16-7
%patch0 -p0
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make 

%install
# install the binary
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
# install the default eco.pgn file
install -D -m 0644 eco.pgn $RPM_BUILD_ROOT%{_datadir}/%{name}/eco.pgn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING help.html
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/eco.pgn

%changelog
* Sun Feb  7 2010 packman@links2linux.de - 16.7
- initial package, version 16.7
